package com.yizhi.documents.application.feign;



import com.yizhi.documents.application.vo.documents.DocumentClassifyTreeVo;
import com.yizhi.documents.application.vo.documents.DocumentClassifyVo;
import com.yizhi.documents.application.vo.documents.ParamsVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@FeignClient(name = "documents", contextId = "DocumentClassifyClient")
public interface DocumentClassifyClient {


    @PostMapping("/classify/save")
    public ParamsVo save(@RequestBody DocumentClassifyVo classify);

    @PostMapping("/classify/update")
    public Boolean update(@RequestBody DocumentClassifyVo classifyVo);

    @GetMapping("/classify/delete")
    public ParamsVo delete(@RequestParam(value = "id") Long id);

    @GetMapping("/classify/query")
    public List<DocumentClassifyTreeVo> queryClassfy(@RequestParam(value = "showThirdClassfy") Boolean showThirdClassfy);

    @GetMapping("/classify/queryById")
    public DocumentClassifyVo queryById(@RequestParam("id") Long id);

}

