package com.yizhi.documents.application.feign;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.documents.application.vo.documents.DocumentParamVo;
import com.yizhi.documents.application.vo.documents.DocumentVo;
import com.yizhi.documents.application.vo.documents.ParamsVo;
import com.yizhi.documents.application.vo.documents.UploadVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@FeignClient(name = "documents", contextId = "DocumentClient")
public interface DocumentClient {


    @PostMapping("/document/upload")
    public Boolean upload(@RequestBody UploadVo uploadVo);

    @GetMapping("/document/delete")
    public ParamsVo delete(@RequestParam("documentId") Long documentId, @RequestParam("needDelete") Boolean needDelete);

    @PostMapping("/document/query/onCondition")
    public Page<DocumentVo> query(@RequestBody DocumentParamVo documentParamVo);

    @PostMapping("/document/update")
    public ParamsVo update(@RequestBody UploadVo uploadVo);


    @GetMapping("/document/query/byId")
    public DocumentVo queryById(@RequestParam("id") Long id);

    @GetMapping("/document/download")
    public ParamsVo download(@RequestParam("id") Long id, @RequestParam("termialType") Integer termialType);

    @GetMapping("/document/query/ByRelationId")
    public Page<DocumentVo> queryByIds(@RequestParam("relationId") Long relationId,
                                       @RequestParam("relationType") Integer relationType,
                                       @RequestParam(value = "pageNo", defaultValue = "1") Integer pageNo,
                                       @RequestParam(value = "pageSize", defaultValue = "10") Integer pageSize);

    @PostMapping("/document/export/list")
    public void export(@RequestBody DocumentParamVo documentParamVo);

    @PostMapping("/document/verifyVedio")
    public boolean verifyVedio(@RequestBody List<Long> documentIds);
    
    @PostMapping("/document/updateVedioTranscodeUrl")
    public boolean updateVedioTranscodeUrl(@RequestBody Map<String, String> map);
}

