package com.yizhi.documents.application.vo.documents;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Api(value = "资料查询所需参数")
public class DocumentParamVo {

    @ApiModelProperty(value = "是否过滤类型  默认不过滤")
    private Integer enableTypeFilter;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "资料名称或编码")
    private String name;

    @ApiModelProperty(value = "资料类型")
    private Integer type;

    @ApiModelProperty(value = "关联模块类型：1、课程；2、培训项目")
    private Integer relationType;

    @ApiModelProperty(value = "关联的模块id")
    private Long relationId;

    @ApiModelProperty(value = "是否过滤 默认过滤")
    private Boolean enableFilter = true;

    @ApiModelProperty(value = "分页页码")
    private Integer pageNo = 1;

    @ApiModelProperty(value = "分页行数")
    private Integer pageSize = 10;

    @ApiModelProperty(value = "任务名称")
    private String taskName;

    @ApiModelProperty(value = "任务序号")
    private String serialNo;

    @ApiModelProperty(value = "任务id")
    private Long taskId;

    @ApiModelProperty("上下文信息")
    private RequestContext context;

    @ApiModelProperty(value = "开始时间")
    private String startDate;
    
    @ApiModelProperty(value = "结束时间")
    private String endDate;
}
