package com.yizhi.documents.application.vo.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@Data
@Api(tags = "DocumentVo", description = "")
public class DocumentVo extends Model<DocumentVo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "分类id")
    private Long classifyId;

    @ApiModelProperty(value = "资料名称")
    private String name;

    @ApiModelProperty(value = "资料编码需要")
    private Integer code;

    @ApiModelProperty(value = "资料编码")
    private String codeName;

    @ApiModelProperty(value = "下载次数")
    private Integer downloadTimes;

    @ApiModelProperty(value = "前端回显需要")
    private String uId;

    @ApiModelProperty(value = "转码播放需要")
    private String vId;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "资料大小")
    private Double fileSize;

    @ApiModelProperty(value = "资料类型  ：1、文档；2、图片；3、音频；4、视频；5、其他")
    private Integer type;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "是否已删除 0：未删除、1：已删除 默认为0")
    private Integer deleted;

    @ApiModelProperty(value = "创建者id")
    private Long createById;

    @ApiModelProperty(value = "创建者名称")
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新者id")
    private Long updateById;

    @ApiModelProperty(value = "修改者名称")
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "站点id")
    private Long siteId;

    @ApiModelProperty(value = "组织id")
    private Long orgId;

    @ApiModelProperty(value = "企业id")
    private Long companyId;

    @ApiModelProperty(value = "文件后缀名称")
    private String suffixName;
    
    @ApiModelProperty(value = "pdf解析后地址")
    private String pdfUrl;
    
    @ApiModelProperty(value = "关键词,逗号分隔")
    private String keywords;

    private String videoLd;

    private String videoSd;

    private String videoHd;

    @ApiModelProperty(notes = "是否是视频文件，0否，1是")
    private Integer isVideo;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
