package com.yizhi.documents.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@Data
@Api(tags = "DocumentVo", description = "")
@TableName("document")
public class Document extends Model<Document> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @TableId("id")
    private Long id;

    @ApiModelProperty(value = "分类id")
    @TableField("classify_id")
    private Long classifyId;

    @ApiModelProperty(value = "资料名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "资料编码需要")
    @TableField("code")
    private Integer code;

    @ApiModelProperty(value = "资料编码")
    @TableField("code_name")
    private String codeName;

    @ApiModelProperty(value = "下载次数")
    @TableField("download_times")
    private Integer downloadTimes;

    @ApiModelProperty(value = "前端回显需要")
    @TableField("u_id")
    private String uId;

    @ApiModelProperty(value = "转码播放需要")
    @TableField("v_id")
    private String vId;

    @ApiModelProperty(value = "文件名称")
    @TableField("file_name")
    private String fileName;

    @ApiModelProperty(value = "资料大小")
    @TableField("file_size")
    private Double fileSize;

    @ApiModelProperty(value = "资料类型  ：1、文档；2、图片；3、音频；4、视频；5、其他")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "下载路径")
    @TableField("url")
    private String url;

    @ApiModelProperty(value = "是否已删除 0：未删除、1：已删除 默认为0")
    @TableField("deleted")
    private Integer deleted;

    @ApiModelProperty(value = "创建者id")
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @ApiModelProperty(value = "创建者名称")
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @ApiModelProperty(value = "更新者id")
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    @ApiModelProperty(value = "修改者名称")
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;

    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;

    @ApiModelProperty(value = "组织id")
    @TableField("org_id")
    private Long orgId;

    @ApiModelProperty(value = "企业id")
    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "文件后缀名称")
    @TableField("suffix_name")
    private String suffixName;
    
    @ApiModelProperty(value = "pdf解析后地址")
    @TableField("pdf_url")
    private String pdfUrl;
    
    @ApiModelProperty(value = "关键词,逗号分隔")
    @TableField("keywords")
    private String keywords;
    
    @TableField("video_ld")
    private String videoLd;

    @TableField("video_sd")
    private String videoSd;

    @TableField("video_hd")
    private String videoHd;

    @ApiModelProperty(notes = "是否是视频文件，0否，1是")
    @TableField(value = "is_video")
    private Integer isVideo;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
