package com.yizhi.documents.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.documents.application.domain.DocumentClassify;
import com.yizhi.documents.application.vo.documents.DocumentClassifyVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */

public interface ClassifyMapper extends BaseMapper<DocumentClassify> {

    /**
     * 查询最大的code值
     *
     * @return
     */
    //所有的orgId均没有用到
    public Integer queryMaxCode(@Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);


    public List<DocumentClassifyVo> queryClassifyTree(@Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);

    public Integer haveChildrenClassify(@Param("classifyId") Long classifyId, @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);

    List<Long> queryChildrenClassify(@Param("classifyId") Long classifyId, @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);

}
