package com.yizhi.documents.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.documents.application.domain.Document;
import com.yizhi.documents.application.vo.documents.DocumentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
public interface DocumentMapper extends BaseMapper<Document> {

    /**
     * 查询最大的code值 每天都是从1开始递增
     *
     * @return
     */
    public Integer queryMaxCode(@Param("currentDate") String currentDate, @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId);

    /**
     * @param classifyIds 分类ids
     * @param name       资料名字 or 资料编码
     * @param type       资料类型
     * @param companyId
     * @param siteId
     * @param orgId
     * @return
     */
    public List<DocumentVo> queryOnCondition(@Param("classifyIds") List<Long> classifyIds, @Param("name") String name, @Param("type") Integer type,
                                             @Param("filterDocumentIds") List<Long> filterDocumentIds , @Param("companyId") Long companyId, @Param("siteId") Long siteId, @Param("orgId") Long orgId, @Param("enableTypeFilter") Integer enableTypeFilter, Page page, @Param("startDate") String startDate, @Param("endDate") String endDate);

    public List<DocumentVo> queryByRelationId(@Param("relationId") Long relationId, @Param("relationType") Integer relationType, @Param("companyId") Long companyId, @Param("siteId") Long siteId, Page page);

    public List<Document> initalData();

	/**
	 * 确认文件是视屏文件
	 * @param ids
	 * @return
	 */
	Integer verifyVideo(@Param("ids") List<Long> ids);
	
	public Boolean updateVedioTranscodeUrl(@Param("id") Long id,@Param("videoLd") String videoLd,@Param("videoHd") String videoHd,@Param("videoSd") String videoSd);
}
