package com.yizhi.documents.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.documents.application.domain.DocumentRelation;
import com.yizhi.documents.application.vo.documents.DocumentRelationVo;
import com.yizhi.documents.application.vo.documents.ParamsVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
public interface DocumentRelationService extends IService<DocumentRelation> {

    /**
     * 逻辑删除
     *
     * @param id         根据主键删除
     * @param documentId 根据资料id删除
     * @return
     */
    public Boolean delete(Long id, Long documentId);

    /**
     * 看是否该资料被相关模块关联
     *
     * @param documentId
     * @return
     */
    public Boolean hasRelation(Long documentId);

    /**
     * 根据模块id，类型 返回 资料id的list集合
     *
     * @param relationId   模块id 比如 培训id 、课程id
     * @param relationType 关联模块类型：1、课程；2、培训项目
     * @return
     */
    public List<Long> returnDocumentIds(Long relationId, Integer relationType);

    Boolean batchSave(List<Long> documentIds, Long relationId, Integer relationType);

    public ParamsVo move(DocumentRelationVo documentRelationVo);
}
