package com.yizhi.documents.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.documents.application.domain.Document;
import com.yizhi.documents.application.vo.documents.DocumentParamVo;
import com.yizhi.documents.application.vo.documents.DocumentVo;
import com.yizhi.documents.application.vo.documents.ParamsVo;
import com.yizhi.documents.application.vo.documents.UploadVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
public interface DocumentService extends IService<Document> {

    /**
     * 根据分类id  查询是否有资料被关联
     *
     * @param classfyId
     * @return
     */
    public Integer queryRelationCount(Long classfyId);

    public Boolean upload(UploadVo uploadVo);

    /**
     * 按条件查询列表
     *
     * @param paramVo
     * @return
     */
    public Page<DocumentVo> queryOnCondition(DocumentParamVo paramVo);

    public ParamsVo update(UploadVo uploadVo);

    public ParamsVo download(Long id, Integer termialType);

    public Page<DocumentVo> queryByRelationId(Long relationId, Integer relationType, Integer pageNo, Integer pageSize);

    public Integer verifyVideo(List<Long> ids);
    
    public Boolean updateVedioTranscodeUrl(Long id,String videoLd,String videoHd,String videoSd);
}
