package com.yizhi.documents.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.documents.application.domain.DownloadRecord;
import com.yizhi.documents.application.mapper.DownloadRecordMapper;
import com.yizhi.documents.application.service.DownloadRecordService;
import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author hutao
 * @since 2019-06-11
 */
@Service
public class DownloadRecordServiceImple extends ServiceImpl<DownloadRecordMapper, DownloadRecord> implements DownloadRecordService {

    @Autowired
    IdGenerator idGenerator;



    @Override
    public Boolean save(DownloadRecord downloadRecord) {
        RequestContext context = ContextHolder.get();
        Date curentDate = new Date();

        if (downloadRecord != null) {
            downloadRecord.setId(idGenerator.generate());


            downloadRecord.setCompanyId(context.getCompanyId());
            downloadRecord.setSiteId(context.getSiteId());
            downloadRecord.setOrgId(context.getOrgId());
            downloadRecord.setCreateByName(context.getAccountName());
            downloadRecord.setCreateById(context.getAccountId());
            downloadRecord.setCreateTime(curentDate);

            if (this.baseMapper.insert(downloadRecord) == 1) {
                return true;
            }


        }
        return false;
    }
}
